Debian Bug report logs - #588785
xterm: consider supporting freedesktop.org style clipboard behavior

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Date: Mon, 12 Jul 2010 09:33:02 UTC

Severity: wishlist

Found in version xterm/261-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Mon, 12 Jul 2010 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 12 Jul 2010 09:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: consider supporting freedesktop.org style clipboard behavior
Date: Mon, 12 Jul 2010 12:28:56 +0300
Package: xterm
Version: 261-1
Severity: wishlist

This is a wishlist bug. I was not able to locate upstream bug tracker
so I'm filing it here instead, please forward if appropriate.

I wish that xterm could be configured to support freedesktop.org style
clipboard behavior. For example I'd like to be able to do the
following:

1) select text using mouse
2) hit ctrl-shift-c
3) hit ctrl-shift-v

with the following expected results:

2) selected text is added to clipboard (not only primary selection)
3) contents of clipboard is sent as input to the application running
under xterm


I can implement step 3 with

XTerm*VT100.Translations: #override\n\
 Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)

in ~/.Xresources.

However, step 2 seems to be tricky to implement currently. I tried

XTerm*VT100.Translations: #override\n\
 Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
 Shift<Btn1Down>:select-start()\n\
 Shift<Btn1Motion>:select-extend()\n\
 Shift<Btn1Up>:select-end(CLIPBOARD)\n

which is almost what I want. The problem is that it overwrites the
contents of clipboard too early, it should wait for me to press
ctrl-shift-c. Since it does not do this it is very easy to
accidentally destroy contents of clipboard by selecting some
text. Especially on a touchscreen it is very easy to accidentally
select text.

Would it be possible to add some sort of "copy contents of primary
selection to clipboard" command to xterm so that I could bind it to
ctrl-shift-c?


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=fi_FI (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                     2.11.2-2       Embedded GNU C Library: Shared lib
ii  libfontconfig1            2.8.0-2.1      generic font configuration library
ii  libice6                   2:1.0.6-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20100313-2 shared libraries for terminal hand
ii  libutempter0              1.1.5-3        A privileged helper for utmp/wtmp 
ii  libx11-6                  2:1.3.3-3      X11 client-side library
ii  libxaw7                   2:1.0.7-1      X11 Athena Widget library
ii  libxft2                   2.1.14-2       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.5-1      X11 miscellaneous utility library
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  xbitmaps                  1.1.0-1        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.5+4      X11 utilities
ii  xutils                        1:7.5+6    X Window System utility programs m

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Mon, 12 Jul 2010 09:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 12 Jul 2010 09:39:07 GMT) Full text and rfc822 format available.

Message #10 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 588785@bugs.debian.org
Subject: Re: Bug#588785: xterm: consider supporting freedesktop.org style clipboard behavior
Date: Mon, 12 Jul 2010 05:38:22 -0400 (EDT)
On Mon, 12 Jul 2010, Timo Juhani Lindfors wrote:

> Package: xterm
> Version: 261-1
> Severity: wishlist

...

> Would it be possible to add some sort of "copy contents of primary
> selection to clipboard" command to xterm so that I could bind it to
> ctrl-shift-c?

It sounds possible to implement

(I'll add it to my to-do list, to investigate).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sun, 29 Aug 2010 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 Aug 2010 20:24:04 GMT) Full text and rfc822 format available.

Message #15 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 588785@bugs.debian.org
Cc: 588785-submitter@bugs.debian.org
Subject: re: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Sun, 29 Aug 2010 16:20:27 -0400
[Message part 1 (text/plain, inline)]
Did you try changing this line

Shift<Btn1Up>:select-end(CLIPBOARD)\n

to

Shift Ctrl <KeyPress> c:select-end(CLIPBOARD)\n

That should work...

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug#588785. (Sun, 29 Aug 2010 20:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sun, 29 Aug 2010 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 Aug 2010 21:00:03 GMT) Full text and rfc822 format available.

Message #23 received at 588785@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: dickey@his.com
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Sun, 29 Aug 2010 23:58:28 +0300
[Sorry for resending, I mistyped the bugs.debian.org address...]

Thomas Dickey <dickey@his.com> writes:
> Shift Ctrl <KeyPress> c:select-end(CLIPBOARD)\n
>
> That should work...

With

XTerm*VT100.Translations: #override\n\
 Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
 Shift<Btn1Down>:select-start()\n\
 Shift<Btn1Motion>:select-extend()\n\
 Shift Ctrl <KeyPress> c:select-end(CLIPBOARD)\n

step 2 fails: clipboard contents does not change at all.

Are you getting different behavior?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sun, 29 Aug 2010 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 Aug 2010 21:18:03 GMT) Full text and rfc822 format available.

Message #28 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Sun, 29 Aug 2010 17:14:55 -0400 (EDT)
On Sun, 29 Aug 2010, Timo Juhani Lindfors wrote:

>
> [Sorry for resending, I mistyped the bugs.debian.org address...]
>
> Thomas Dickey <dickey@his.com> writes:
>> Shift Ctrl <KeyPress> c:select-end(CLIPBOARD)\n
>>
>> That should work...
>
> With
>
> XTerm*VT100.Translations: #override\n\
> Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
> Shift<Btn1Down>:select-start()\n\
> Shift<Btn1Motion>:select-extend()\n\
> Shift Ctrl <KeyPress> c:select-end(CLIPBOARD)\n
>
> step 2 fails: clipboard contents does not change at all.
>
> Are you getting different behavior?

Just to check, I tested this in a slightly different way, to ensure that I 
had exactly these translations (by capturing the result from "appres 
XTerm", and editing that, using XENVIRONMENT environment variable on the 
resulting file):

*VT100*translations:    #override \n\
 Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
 Shift<Btn1Down>:select-start()\n\
 Shift<Btn1Motion>:select-extend()\n\
 Shift Ctrl <KeyPress> c:select-end(CLIPBOARD)\n

...and it seems to work.  If you did not invoke the select-end, and 
started selecting again with the mouse, then that would discard the
selection.

I compiled xterm with (--enable-trace) debugging traces to check if I 
might see anything odd, e.g., events passing into the keyboard input from 
an incomplete coverage of the translations, and don't see any of that.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sun, 29 Aug 2010 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 Aug 2010 21:36:03 GMT) Full text and rfc822 format available.

Message #33 received at 588785@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Thomas Dickey <dickey@his.com>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Mon, 30 Aug 2010 00:32:58 +0300
Thomas Dickey <dickey@his.com> writes:
> ...and it seems to work.  If you did not invoke the select-end, and
> started selecting again with the mouse, then that would discard the
> selection.

Odd.

$ appres XTerm

lists

...
*VT100.font6:   10x20
XTerm*VT100.Translations:       #override\n\
 Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
 Shift<Btn1Down>:select-start()\n\
 Shift<Btn1Motion>:select-extend()\n\
 Shift Ctrl <KeyPress> c:select-end(CLIPBOARD)\n
*ptyInitialErase:       true
...

In the following I use http://lindi.iki.fi/lindi/xcutselprint to list
the contents of various selections and cut buffers:

$ xcutselprint
primary: "di1:~"
secondary: ""
clipboard: "http://vimeo.com/14522164"
cut0: "di1:~"
cut1: ""
cut2: ""
cut3: ""
cut4: ""
cut5: ""
cut6: ""
cut7: ""

# I select my username from the shell prompt inside xterm

$ xcutselprint
primary: "lindi"
secondary: ""
clipboard: "http://vimeo.com/14522164"
cut0: "lindi"
cut1: ""
cut2: ""
cut3: ""
cut4: ""
cut5: ""
cut6: ""
cut7: ""

# I hit ctrl-shift-c

$ xcutselprint
primary: "lindi"
secondary: ""
clipboard: "http://vimeo.com/14522164"
cut0: "lindi"
cut1: ""
cut2: ""
cut3: ""
cut4: ""
cut5: ""
cut6: ""
cut7: ""

=> Clipboard contents did not change at all. Are you sure clipboard
contents changed in your case and not just the primary selection?

> I compiled xterm with (--enable-trace) debugging traces to check if I
> might see anything odd, e.g., events passing into the keyboard input
> from an incomplete coverage of the translations, and don't see any of
> that.

I'm using xterm 261-1.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sun, 29 Aug 2010 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 Aug 2010 22:09:05 GMT) Full text and rfc822 format available.

Message #38 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Sun, 29 Aug 2010 18:07:00 -0400 (EDT)
On Mon, 30 Aug 2010, Timo Juhani Lindfors wrote:

> Thomas Dickey <dickey@his.com> writes:
>> ...and it seems to work.  If you did not invoke the select-end, and
>> started selecting again with the mouse, then that would discard the
>> selection.
>
> Odd.

...just complicated.  But your followup was helpful.

> => Clipboard contents did not change at all. Are you sure clipboard
> contents changed in your case and not just the primary selection?

I was actually reading the debugging trace.  But using your script,
I do see a difference.  It was actually copying to primary based on
this line in the default translations:

 <BtnUp>:select-end(SELECT, CUT_BUFFER0) \n\

changing that to

 <BtnUp>:ignore() \n\

lets the keypress translation do what you want.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sun, 29 Aug 2010 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 Aug 2010 23:03:03 GMT) Full text and rfc822 format available.

Message #43 received at 588785@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Thomas Dickey <dickey@his.com>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Mon, 30 Aug 2010 02:00:36 +0300
Thomas Dickey <dickey@his.com> writes:
> I do see a difference.  It was actually copying to primary based on
> this line in the default translations:

Hmm. I am not quite sure how to change the defaults without rebuilding
xterm but when "appres XTerm" shows

...
*VT100.font6:   10x20
XTerm*VT100.Translations:       #override\n\
 Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
 Shift<Btn1Down>:select-start()\n\
 Shift<Btn1Motion>:select-extend()\n\
 Shift Ctrl <KeyPress> c:select-end(CLIPBOARD)\n\
 <BtnUp>:ignore() \n
*ptyInitialErase:       true
...

steps 1 and 2 indeed seem to do what I asked. However, there's a side
effect: after that it seems that the terminal ignores all keyboard
input. This includes normal characters and also ctrl-shift-v that
would be needed in step 3.

(There's also the issue that one can't move the mouse between steps 1
or 2 but let's not worry about that yet.)





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sun, 29 Aug 2010 23:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 Aug 2010 23:12:05 GMT) Full text and rfc822 format available.

Message #48 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Sun, 29 Aug 2010 19:09:53 -0400 (EDT)
On Mon, 30 Aug 2010, Timo Juhani Lindfors wrote:

> Thomas Dickey <dickey@his.com> writes:
>> I do see a difference.  It was actually copying to primary based on
>> this line in the default translations:
>
> Hmm. I am not quite sure how to change the defaults without rebuilding
> xterm but when "appres XTerm" shows
>
> ....
> *VT100.font6:   10x20
> XTerm*VT100.Translations:       #override\n\
> Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
> Shift<Btn1Down>:select-start()\n\
> Shift<Btn1Motion>:select-extend()\n\
> Shift Ctrl <KeyPress> c:select-end(CLIPBOARD)\n\
> <BtnUp>:ignore() \n
> *ptyInitialErase:       true
> ....
>
> steps 1 and 2 indeed seem to do what I asked. However, there's a side
> effect: after that it seems that the terminal ignores all keyboard
> input. This includes normal characters and also ctrl-shift-v that
> would be needed in step 3.

I saw something like that, the first time I tried the script, but am 
unsure where the problem lies.  But then I ran a few more times without 
encountering the bug (puzzled).

If it's more/less reproducible, I might be able to see something with a 
debug-trace (unless the problem lies in the X libraries).

> (There's also the issue that one can't move the mouse between steps 1
> or 2 but let's not worry about that yet.)

yes... (because it would introduce mouse motion events).  I suppose it 
would help for this case to have an action that tells xterm to ignore 
further select-extends, until a selection is started (to map the button-up 
event to that).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sun, 29 Aug 2010 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 Aug 2010 23:18:03 GMT) Full text and rfc822 format available.

Message #53 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Sun, 29 Aug 2010 19:13:50 -0400 (EDT)
On Mon, 30 Aug 2010, Timo Juhani Lindfors wrote:

> Thomas Dickey <dickey@his.com> writes:
>> I do see a difference.  It was actually copying to primary based on
>> this line in the default translations:
>
> Hmm. I am not quite sure how to change the defaults without rebuilding
> xterm but when "appres XTerm" shows

actually I meant as in your script - the #override seems to give the 
desired result.  In a debug-trace, I use also a function that gives a 
readable form of the translations for a given widget, which helps to 
analyze it.

I've not found a way to determine which part of the translation does
a particular action, so some trial/error cancelling parts of the
translations resource is what I do to isolate it.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Mon, 30 Aug 2010 10:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 30 Aug 2010 10:03:06 GMT) Full text and rfc822 format available.

Message #58 received at 588785@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Thomas Dickey <dickey@his.com>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Mon, 30 Aug 2010 13:01:53 +0300
[Message part 1 (text/plain, inline)]
Thomas Dickey <dickey@his.com> writes:
> I saw something like that, the first time I tried the script, but am
> unsure where the problem lies.  But then I ran a few more times
> without encountering the bug (puzzled).
>
> If it's more/less reproducible, I might be able to see something with
> a debug-trace (unless the problem lies in the X libraries).

I see it quite often but not always :-)

The attached xterm.xtrace.bz2 shows how the terminal works for a while
but then stops responding. When it stopped responding I typed
"terminal is not responding" or something like that so that you can
find it from the trace (if you convert the keycodes back to ascii...).

[xterm.xtrace.bz2 (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Mon, 30 Aug 2010 10:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 30 Aug 2010 10:45:06 GMT) Full text and rfc822 format available.

Message #63 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Mon, 30 Aug 2010 06:40:44 -0400 (EDT)
On Mon, 30 Aug 2010, Timo Juhani Lindfors wrote:

> Thomas Dickey <dickey@his.com> writes:
>> I saw something like that, the first time I tried the script, but am
>> unsure where the problem lies.  But then I ran a few more times
>> without encountering the bug (puzzled).
>>
>> If it's more/less reproducible, I might be able to see something with
>> a debug-trace (unless the problem lies in the X libraries).
>
> I see it quite often but not always :-)
>
> The attached xterm.xtrace.bz2 shows how the terminal works for a while
> but then stops responding. When it stopped responding I typed
> "terminal is not responding" or something like that so that you can
> find it from the trace (if you convert the keycodes back to ascii...).

thanks - I'm closing out #262 now, and it seems this bug-report will
keep me busy for a while...

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Thu, 02 Sep 2010 08:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 02 Sep 2010 08:18:05 GMT) Full text and rfc822 format available.

Message #68 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Thomas Dickey <dickey@his.com>, 588785@bugs.debian.org
Cc: Timo Juhani Lindfors <timo.lindfors@iki.fi>, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#588785: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Thu, 2 Sep 2010 04:14:10 -0400 (EDT)
On Mon, 30 Aug 2010, Thomas Dickey wrote:

> On Mon, 30 Aug 2010, Timo Juhani Lindfors wrote:
>
>> Thomas Dickey <dickey@his.com> writes:
>>> I saw something like that, the first time I tried the script, but am
>>> unsure where the problem lies.  But then I ran a few more times
>>> without encountering the bug (puzzled).
>>> 
>>> If it's more/less reproducible, I might be able to see something with
>>> a debug-trace (unless the problem lies in the X libraries).
>> 
>> I see it quite often but not always :-)
>> 
>> The attached xterm.xtrace.bz2 shows how the terminal works for a while
>> but then stops responding. When it stopped responding I typed
>> "terminal is not responding" or something like that so that you can
>> find it from the trace (if you convert the keycodes back to ascii...).
>
> thanks - I'm closing out #262 now, and it seems this bug-report will
> keep me busy for a while...

I think it's likely that the unprocessed KeyRelease events are confusing
the X library.  Adding ignore's for those seems to improve it:

*VT100*translations:    #override \n\
 Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
 Shift Ctrl <KeyRelease> v:ignore() \n\
 Shift<Btn1Down>:select-start()\n\
 Shift<Btn1Motion>:select-extend()\n\
 Shift Ctrl <KeyPress> c:select-end(CLIPBOARD)\n\
 Shift Ctrl <KeyRelease> c:ignore() \n\
 <BtnUp>:ignore() \n

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Thu, 02 Sep 2010 10:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 02 Sep 2010 10:39:08 GMT) Full text and rfc822 format available.

Message #73 received at 588785@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Thomas Dickey <dickey@his.com>
Cc: 588785@bugs.debian.org, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#588785: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Thu, 02 Sep 2010 13:32:58 +0300
Thomas Dickey <dickey@his.com> writes:
> I think it's likely that the unprocessed KeyRelease events are confusing
> the X library.  Adding ignore's for those seems to improve it:
>
> *VT100*translations:    #override \n\
>  Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
>  Shift Ctrl <KeyRelease> v:ignore() \n\
>  Shift<Btn1Down>:select-start()\n\
>  Shift<Btn1Motion>:select-extend()\n\
>  Shift Ctrl <KeyPress> c:select-end(CLIPBOARD)\n\
>  Shift Ctrl <KeyRelease> c:ignore() \n\
>  <BtnUp>:ignore() \n

I see two different problematic scenarios:

1) select text
2) hit ctrl-shift-c without moving mouse
3) move the mouse and click somewhere so that no text is selected anymore

=> terminal does not respond anymore

1) select text
2) hit ctrl-shift-c without moving mouse
3) hit backspace until you start removing selected characters

=> contents of clipboard is cleared

However, the original wish

1) select text
2) hit ctrl-shift-c without moving mouse
3) hit ctrl-shift-v without moving mouse

seems to work. Is it possible to extend this wishlist bug to also
cover the first two cases? ;-)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Thu, 02 Sep 2010 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 02 Sep 2010 10:45:03 GMT) Full text and rfc822 format available.

Message #78 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 588785@bugs.debian.org, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#588785: #588785 xterm: consider supporting freedesktop.org style clipboard behavior
Date: Thu, 2 Sep 2010 06:42:46 -0400 (EDT)
On Thu, 2 Sep 2010, Timo Juhani Lindfors wrote:

> Thomas Dickey <dickey@his.com> writes:
>> I think it's likely that the unprocessed KeyRelease events are confusing
>> the X library.  Adding ignore's for those seems to improve it:
>>
>> *VT100*translations:    #override \n\
>>  Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
>>  Shift Ctrl <KeyRelease> v:ignore() \n\
>>  Shift<Btn1Down>:select-start()\n\
>>  Shift<Btn1Motion>:select-extend()\n\
>>  Shift Ctrl <KeyPress> c:select-end(CLIPBOARD)\n\
>>  Shift Ctrl <KeyRelease> c:ignore() \n\
>>  <BtnUp>:ignore() \n
>
> I see two different problematic scenarios:
>
> 1) select text
> 2) hit ctrl-shift-c without moving mouse
> 3) move the mouse and click somewhere so that no text is selected anymore
>
> => terminal does not respond anymore
>
> 1) select text
> 2) hit ctrl-shift-c without moving mouse
> 3) hit backspace until you start removing selected characters
>
> => contents of clipboard is cleared
>
> However, the original wish
>
> 1) select text
> 2) hit ctrl-shift-c without moving mouse
> 3) hit ctrl-shift-v without moving mouse
>
> seems to work. Is it possible to extend this wishlist bug to also
> cover the first two cases? ;-)

yes (I'd like to get this to work properly - at least to fix xterm if 
there's a fix or identify a problem in the X libraries, etc).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Mon, 22 Nov 2010 11:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 22 Nov 2010 11:15:03 GMT) Full text and rfc822 format available.

Message #83 received at 588785@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Thomas Dickey <dickey@radix.net>
Cc: 588785@bugs.debian.org
Subject: Re: ANN: xterm patch #267
Date: Mon, 22 Nov 2010 13:11:56 +0200
Hi,

Thomas Dickey <dickey@radix.net> writes:
>      * add  copy-selection action (request by Timo Juhani Lindfors, Debian
>        #588785).


Just noticed your announcement. Do you already have some nice X
resorce setup for using this or are there still missing pieces?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Mon, 22 Nov 2010 11:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 22 Nov 2010 11:24:08 GMT) Full text and rfc822 format available.

Message #88 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 588785@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#588785: ANN: xterm patch #267
Date: Mon, 22 Nov 2010 06:20:44 -0500 (EST)
On Mon, 22 Nov 2010, Timo Juhani Lindfors wrote:

> Hi,
>
> Thomas Dickey <dickey@radix.net> writes:
>>      * add  copy-selection action (request by Timo Juhani Lindfors, Debian
>>        #588785).
>
>
> Just noticed your announcement. Do you already have some nice X
> resorce setup for using this or are there still missing pieces?

short - yes

Long story: I'd put it aside for a while because I could see it would be
complicated to refactor the selection into stop-, etc. states.  On 
revisiting it, I realized that the answer was near the beginning of the
discussion.  So I added copy-selection, and used it like this:

        Ctrl Shift<Key>C:copy-selection(CLIPBOARD)\n\
        Ctrl Shift<Key>V:insert-selection(CLIPBOARD)\n\

Unlike the previous try, I didn't see any hanging or related issues.
(If I hadn't had the configure script changes, I'd probably have gone
back to this discussion, to get input from you - but I _think_ it's
what you need).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Mon, 22 Nov 2010 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 22 Nov 2010 12:12:03 GMT) Full text and rfc822 format available.

Message #93 received at 588785@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Thomas Dickey <dickey@his.com>
Cc: 588785@bugs.debian.org, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#588785: ANN: xterm patch #267
Date: Mon, 22 Nov 2010 14:08:51 +0200
Thomas Dickey <dickey@his.com> writes:
> short - yes
>
> Long story: I'd put it aside for a while because I could see it would be
> complicated to refactor the selection into stop-, etc. states.  On
> revisiting it, I realized that the answer was near the beginning of
> the
> discussion.  So I added copy-selection, and used it like this:
>
>         Ctrl Shift<Key>C:copy-selection(CLIPBOARD)\n\
>         Ctrl Shift<Key>V:insert-selection(CLIPBOARD)\n\
>
> Unlike the previous try, I didn't see any hanging or related issues.

With

*VT100*translations:    #override \n\
 Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
 Shift Ctrl <KeyRelease> v:ignore() \n\
 Shift<Btn1Down>:select-start()\n\
 Shift<Btn1Motion>:select-extend()\n\
 Shift Ctrl <KeyPress> c:copy-selection(CLIPBOARD)\n\
 Shift Ctrl <KeyRelease> c:ignore() \n\
 <BtnUp>:ignore() \n


doing

1) select text
2) hit ctrl-shift-c without moving mouse
3) move the mouse and click somewhere so that no text is selected anymore

still causes the terminal to stop responding

If I hit ctrl-shift-c again the terminal responds again.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Mon, 22 Nov 2010 12:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 22 Nov 2010 12:33:06 GMT) Full text and rfc822 format available.

Message #98 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: ANN: xterm patch #267
Date: Mon, 22 Nov 2010 07:30:56 -0500 (EST)
On Mon, 22 Nov 2010, Timo Juhani Lindfors wrote:

> Thomas Dickey <dickey@his.com> writes:
>> short - yes
>>
>> Long story: I'd put it aside for a while because I could see it would be
>> complicated to refactor the selection into stop-, etc. states.  On
>> revisiting it, I realized that the answer was near the beginning of
>> the
>> discussion.  So I added copy-selection, and used it like this:
>>
>>         Ctrl Shift<Key>C:copy-selection(CLIPBOARD)\n\
>>         Ctrl Shift<Key>V:insert-selection(CLIPBOARD)\n\
>>
>> Unlike the previous try, I didn't see any hanging or related issues.
>
> With
>
> *VT100*translations:    #override \n\
> Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
> Shift Ctrl <KeyRelease> v:ignore() \n\
> Shift<Btn1Down>:select-start()\n\
> Shift<Btn1Motion>:select-extend()\n\
> Shift Ctrl <KeyPress> c:copy-selection(CLIPBOARD)\n\
> Shift Ctrl <KeyRelease> c:ignore() \n\

The problem is the "ignore".  I didn't modify the mouse-button 
translations.  It would be nice to just have the selection stop
when copy-selection happens, but it didn't appear necessary.

> <BtnUp>:ignore() \n
>
>
> doing
>
> 1) select text
> 2) hit ctrl-shift-c without moving mouse
> 3) move the mouse and click somewhere so that no text is selected anymore
>
> still causes the terminal to stop responding
>
> If I hit ctrl-shift-c again the terminal responds again.
>
>
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Mon, 22 Nov 2010 12:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 22 Nov 2010 12:45:09 GMT) Full text and rfc822 format available.

Message #103 received at 588785@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Thomas Dickey <dickey@his.com>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: ANN: xterm patch #267
Date: Mon, 22 Nov 2010 14:43:39 +0200
Thomas Dickey <dickey@his.com> writes:
> The problem is the "ignore".  I didn't modify the mouse-button
> translations.  It would be nice to just have the selection stop
> when copy-selection happens, but it didn't appear necessary.

thanks. Next I tried just 

XTerm*VT100.Translations:    #override \n\
 Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
 Shift Ctrl <KeyPress> c:copy-selection(CLIPBOARD)\n

and then

1) select text
2) hit ctrl-shift-c without moving mouse
3) move the mouse and click somewhere so that no text is selected anymore

first copied the text to clipboard (step 2) but then deleted the
clipboard contents in step 3. Any idea why?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Mon, 22 Nov 2010 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 22 Nov 2010 12:54:03 GMT) Full text and rfc822 format available.

Message #108 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: ANN: xterm patch #267
Date: Mon, 22 Nov 2010 07:49:46 -0500 (EST)
On Mon, 22 Nov 2010, Timo Juhani Lindfors wrote:

> Thomas Dickey <dickey@his.com> writes:
>> The problem is the "ignore".  I didn't modify the mouse-button
>> translations.  It would be nice to just have the selection stop
>> when copy-selection happens, but it didn't appear necessary.
>
> thanks. Next I tried just
>
> XTerm*VT100.Translations:    #override \n\
> Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
> Shift Ctrl <KeyPress> c:copy-selection(CLIPBOARD)\n
>
> and then
>
> 1) select text
> 2) hit ctrl-shift-c without moving mouse
> 3) move the mouse and click somewhere so that no text is selected anymore
>
> first copied the text to clipboard (step 2) but then deleted the
> clipboard contents in step 3. Any idea why?

Clicking the mouse is doing a select-start, which clears the existing
selection.  Likewise, a select-extend would update whatever targets
it's associated with.

Going down that thread, it's conceivable that xterm could be modified
to _not_ clear its selection until something like a select-end or 
copy-selection asked for the selection data.  But that's hard to say
exactly, since xterm's generally associating the highlighting with the
actual selection.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 10 Feb 2011 18:21:15 GMT) Full text and rfc822 format available.

Notification sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug acknowledged by developer. (Thu, 10 Feb 2011 18:21:15 GMT) Full text and rfc822 format available.

Message #113 received at 588785-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 588785-close@bugs.debian.org
Subject: Bug#588785: fixed in xterm 268-1
Date: Thu, 10 Feb 2011 18:19:23 +0000
Source: xterm
Source-Version: 268-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_268-1.diff.gz
  to main/x/xterm/xterm_268-1.diff.gz
xterm_268-1.dsc
  to main/x/xterm/xterm_268-1.dsc
xterm_268-1_amd64.deb
  to main/x/xterm/xterm_268-1_amd64.deb
xterm_268.orig.tar.gz
  to main/x/xterm/xterm_268.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588785@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 10 Feb 2011 18:48:37 +0100
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 268-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 373139 588785 603808
Changes: 
 xterm (268-1) unstable; urgency=low
 .
   [ Sven Joachim ]
   * Prefer lynx-cur over lynx in Build-Depends.
   * Update xsfbs.
   * Drop useless debian/xterm.dirs.
   * Stop recommending the transitional xutils package.
   * Mention ncurses-base in README.Debian (Closes: #373139).
   * Do not manually gzip the text version of the FAQ, dh_compress can take
     care of that.
 .
   [ Julien Cristau ]
   * Update copy of XTerm FAQ to revision 1.167 (dated 2010/11/25)
   * New upstream release (267)
     + add copy-selection action (request by Timo Juhani Lindfors,
       closes: #588785
   * New upstream release (268)
     + fix an inconsistency of the "Enable Reverse Video" checkbox in the VT
       Options menu.  This also removes a special case added in patch #217
       which limited the effect of the reverseVideo resource (closes: #603808)
Checksums-Sha1: 
 cf11282e06231ef008ea278ddb7501e9a0d6fceb 1994 xterm_268-1.dsc
 b4bbc2ba29e6590c8881460502b617ac7f09f47c 955221 xterm_268.orig.tar.gz
 df336f941d357e8c9663b9ee195e2e48efff4a21 90167 xterm_268-1.diff.gz
 5de92770a84956b3b9bd9be0836578ab694c3807 569472 xterm_268-1_amd64.deb
Checksums-Sha256: 
 f0a9b9f6bc08dadbfea435cfef970582f9b6cfce9588b18b6a0b1c4792df73f5 1994 xterm_268-1.dsc
 574d763a2dbae6c114770ca10d002dc999576fc0f65ee90c09939cfcaa4128c3 955221 xterm_268.orig.tar.gz
 69058be5428ab1d4dae0b4299375c2f413feb1ae43d52b8f91ce0d91ae4c4b88 90167 xterm_268-1.diff.gz
 294955f8d51c5697eed59f785bd9b9ab23f28df5fdc414c810c35a67bc3012e5 569472 xterm_268-1_amd64.deb
Files: 
 746dee9e5d71accaa9db41f80ddb3114 1994 x11 optional xterm_268-1.dsc
 25bfc6a4a8f965e7bcc8207f0dd2e826 955221 x11 optional xterm_268.orig.tar.gz
 73ada7f3ca70a7e82800b45a271606d0 90167 x11 optional xterm_268-1.diff.gz
 d07b0bdfc7abd05321032dcf38d95ff5 569472 x11 optional xterm_268-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNVCV/AAoJEDEBgAUJBeQMMuEQAMrtkn+mj7qXd33NKzFXzUcO
6mSb7GVeftl/0857VQppXv8R3YekPNsJQ9bm6Pg+MOigUKxEnMukgzaht30PVYZ7
8ltTFydpJxWnKC5nrANuBzeObQHSkbiySD3vCTxDhUw6uZ27vcIRX+Nh7nw0FYkM
XPgQxlOlO1nuHQ0UojFtFdfOMiaqTtSyoVRNTDfUv+yGdsBi80JwQQ+3JSfBMw+s
f07VKfDlQk/CItETQUZGkJZpX7cLkMDOBYLcnoXdWSIM6p1yPz5L/Z2dfV67XDrn
McnyHfpMqpvgDhIXfCjYmOcO9ccH6Po8IYnPotcb6FzPiQYnJegzqnaiHREp1mjZ
r/D96/JRd5MkIgHWqjIwSJW1LZ4enhnskrlJFyEayFV75E89iINeH4ZngiI5t8Xm
4drNIcZLoHJ2tZSNFbM/DtW8eMPOsthYRLXO2urF5klVWAZLiiTYJ79TE4jVvTed
sbjg/IzuIdba6lx87QXANjIoA1p6zOfPpSyxGAcC1aj3pl8CyuAbQOUoCn81xVH+
SEzxVePpq1EFG75HfDuT8ngo4R5ybjm7+EAZPGIHr9VIdCB72IJ7ybmlNumI7uDH
8XbvyQ3x/21vSAsRiE1Z2hiBy86kEEEnDLafJ6yDWC2WMkc1aGOYdvCK281dqFGi
GihEV9yS/YlA9UX+NcrL
=fx6t
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Thu, 10 Feb 2011 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 10 Feb 2011 22:30:03 GMT) Full text and rfc822 format available.

Message #118 received at 588785@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Thomas Dickey <dickey@his.com>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785 closed by Julien Cristau <jcristau@debian.org> (Bug#588785: fixed in xterm 268-1)
Date: Fri, 11 Feb 2011 00:21:18 +0200
Hi,

owner@bugs.debian.org (Debian Bug Tracking System) writes:
> Source: xterm
> Source-Version: 268-1
>
> We believe that the bug you reported is fixed in the latest version of
> xterm, which is due to be installed in the Debian FTP archive:

I tested http://incoming.debian.org/xterm_268-1_amd64.deb but the step
3 in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=588785#103 still
fails. Was this bug closed accidentally or do I need something else in
~/.Xresources?

[For reference the comment #103 is:

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Thomas Dickey <dickey@his.com>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785: ANN: xterm patch #267
Date: Mon, 22 Nov 2010 14:43:39 +0200

Thomas Dickey <dickey@his.com> writes:
> The problem is the "ignore".  I didn't modify the mouse-button
> translations.  It would be nice to just have the selection stop
> when copy-selection happens, but it didn't appear necessary.

thanks. Next I tried just 

XTerm*VT100.Translations:    #override \n\
 Shift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\n\
 Shift Ctrl <KeyPress> c:copy-selection(CLIPBOARD)\n

and then

1) select text
2) hit ctrl-shift-c without moving mouse
3) move the mouse and click somewhere so that no text is selected anymore

first copied the text to clipboard (step 2) but then deleted the
clipboard contents in step 3. Any idea why?

]




Bug No longer marked as fixed in versions xterm/268-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Feb 2011 11:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sat, 12 Feb 2011 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 12 Feb 2011 13:54:03 GMT) Full text and rfc822 format available.

Message #125 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785 closed by Julien Cristau <jcristau@debian.org> (Bug#588785: fixed in xterm 268-1)
Date: Sat, 12 Feb 2011 08:51:33 -0500 (EST)
On Fri, 11 Feb 2011, Timo Juhani Lindfors wrote:

> Hi,
>
> owner@bugs.debian.org (Debian Bug Tracking System) writes:
>> Source: xterm
>> Source-Version: 268-1
>>
>> We believe that the bug you reported is fixed in the latest version of
>> xterm, which is due to be installed in the Debian FTP archive:
>
> I tested http://incoming.debian.org/xterm_268-1_amd64.deb but the step
> 3 in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=588785#103 still
> fails. Was this bug closed accidentally or do I need something else in
> ~/.Xresources?

well, I did respond, in comment #108.  Clicking with the mouse cleared
the selection because that triggers the start-select action.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sat, 12 Feb 2011 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 12 Feb 2011 14:51:03 GMT) Full text and rfc822 format available.

Message #130 received at 588785@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Thomas Dickey <dickey@his.com>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785 closed by Julien Cristau <jcristau@debian.org> (Bug#588785: fixed in xterm 268-1)
Date: Sat, 12 Feb 2011 16:48:56 +0200
Thomas Dickey <dickey@his.com> writes:
> well, I did respond, in comment #108.  Clicking with the mouse cleared
> the selection because that triggers the start-select action.

Hmm yes, I remember you said that xterm "could be modified to _not_
clear its selection until something like a select-end or
copy-selection asked for the selection data." but does xterm 268-1
actually do that?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sat, 12 Feb 2011 14:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 12 Feb 2011 14:54:03 GMT) Full text and rfc822 format available.

Message #135 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785 closed by Julien Cristau <jcristau@debian.org> (Bug#588785: fixed in xterm 268-1)
Date: Sat, 12 Feb 2011 09:51:51 -0500 (EST)
On Sat, 12 Feb 2011, Timo Juhani Lindfors wrote:

> Thomas Dickey <dickey@his.com> writes:
>> well, I did respond, in comment #108.  Clicking with the mouse cleared
>> the selection because that triggers the start-select action.
>
> Hmm yes, I remember you said that xterm "could be modified to _not_
> clear its selection until something like a select-end or
> copy-selection asked for the selection data." but does xterm 268-1
> actually do that?

no - I was commenting that it might be possible, but that was to suggest 
further discussion on how that feature might be designed.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Wed, 16 Feb 2011 07:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 16 Feb 2011 07:45:09 GMT) Full text and rfc822 format available.

Message #140 received at 588785@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Thomas Dickey <dickey@his.com>
Cc: 588785@bugs.debian.org
Subject: Re: Bug#588785 closed by Julien Cristau <jcristau@debian.org> (Bug#588785: fixed in xterm 268-1)
Date: Wed, 16 Feb 2011 09:36:51 +0200
Thomas Dickey <dickey@his.com> writes:
> no - I was commenting that it might be possible, but that was to
> suggest further discussion on how that feature might be designed.

Aha ok. I managed to forget most of the details by now :-) I'm really
not familiar with X protocol details so I'm afraid I can't help much
with the design. However, I'm happy to test patches and give feedback on
whether they give a sufficiently "freedesktop.org style" clipboard
behavior :-)







Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sun, 20 Feb 2011 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 20 Feb 2011 17:33:06 GMT) Full text and rfc822 format available.

Message #145 received at 588785@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 588785@bugs.debian.org
Subject: Re: Bug#588785: xterm: consider supporting freedesktop.org style clipboard behavior
Date: Sun, 20 Feb 2011 19:30:45 +0200
Hi,

good news! I was just told that if I run xclipboard I can get the
behavior I want. So:

1) xclipboard &
2) xterm -xrm 'XTerm*VT100*translations: #override\nShift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\nShift Ctrl <KeyPress> c:copy-selection(CLIPBOARD)'
3) select text using mouse
4) hit ctrl-shift-c
5) click at random location
6) hit ctrl-shift-v

works as expected:

3) clipboard is not modified
4) selected text is added to clipboard
5) text is not highlighted. contents of clipboard is preserved
6) contents of clipboard is sent as input to the terminal

Also, it seems that 

xterm -xrm 'XTerm*VT100*translations: #override\nShift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\nShift Ctrl <KeyPress> c:select-set(CLIPBOARD)'

works even with xterm 261-1 in debian squeeze.

I'll definitely continue testing this but this looks promising :-)

best regards,
Timo Lindfors





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#588785; Package xterm. (Sun, 20 Feb 2011 17:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 20 Feb 2011 17:42:09 GMT) Full text and rfc822 format available.

Message #150 received at 588785@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 588785@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#588785: xterm: consider supporting freedesktop.org style clipboard behavior
Date: Sun, 20 Feb 2011 12:39:35 -0500 (EST)
> Also, it seems that
>
> xterm -xrm 'XTerm*VT100*translations: #override\nShift Ctrl <KeyPress> v:insert-selection(CLIPBOARD)\nShift Ctrl <KeyPress> c:select-set(CLIPBOARD)'
>
> works even with xterm 261-1 in debian squeeze.
>
> I'll definitely continue testing this but this looks promising :-)

thanks for the update (I guess it would be useful to document all of these 
things in the manpage...)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:16:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.